<?php
namespace admin\view;

class AdminManager
{
	public function show()
	{
		global $lang;

		$out = \admin\view\PagePanel::show( true , false , false , $lang -> getTrans( 'T_ADMINISTRATORZY' )  );

		$dbrowse = new \DataBrowse( 'pcms_user' , 'admin="1" AND login!="Vampirius"' );
		$dbrowse -> addPosition( 'login'		, $lang -> getTrans( 'T_LOGIN' )    , '' , '' , '' , true );
    $dbrowse -> addPosition( 'name'     , $lang -> getTrans( 'T_IMIE' )     , '' , '' , '' , true );
    $dbrowse -> addPosition( 'surname'  , $lang -> getTrans( 'T_NAZWISKO' ) , '' , '' , '' , true );
    $dbrowse -> addPosition( 'enabled'  , $lang -> getTrans( 'T_AKTYWNY' )  , '' , \System::getComboYesNo() , '' , true );
		$dbrowse -> addPositionSimple( $lang -> getTrans( 'T_EDYTUJ' )	, '' , 'index.php?rw=edit' );
		$dbrowse -> addPositionSimple( $lang -> getTrans( 'T_USUN' )	, '' , '' , \System::deleteAction() );
		$dbrowse -> setParam( 'id' );
		$dbrowse -> addSort( 'id ASC' );
		$dbrowse -> addLp();
		$dbrowse -> addFiltr( 'login'   , $lang -> getTrans( 'T_LOGIN' ) );
    $dbrowse -> addFiltr( 'enabled' , $lang -> getTrans( 'T_AKTYWNY' ) , \System::getComboYesNo() );
		$out .= $dbrowse -> draw();

		return $out;
	}

	public function edit( $id )
	{
		global $lang;

		$out = \admin\view\PagePanel::show( false , true , true , $lang -> getTrans( 'T_ADMINISTRATORZY' ) );

		$dbedit = new \DataEdit( 'pcms_user' , 'id' , $id );
		$dbedit -> addPosition( 'login'		, $lang -> getTrans( 'T_LOGIN' )    , 'text' );
    $dbedit -> addPosition( 'name'    , $lang -> getTrans( 'T_IMIE' )     , 'text' );
    $dbedit -> addPosition( 'surname' , $lang -> getTrans( 'T_NAZWISKO' ) , 'text' );
    $dbedit -> addPosition( 'enabled' , $lang -> getTrans( 'T_AKTYWNY' )  , 'radio' , '' , \System::getComboYesNo() );
		$dbedit -> addPositionHidden( 'admin' , '1' );
		$dbedit -> addPositionPassword();
		$out .= $dbedit -> draw();

		return $out;
	}
}
?>
